commit:     eecb64f65d5377fc6b8641d91fcb9cb23f926739
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  7 08:29:19 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Sep  7 08:29:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eecb64f6

dev-ruby/sqlite3: add 2.0.4

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/sqlite3/Manifest             |  1 +
 dev-ruby/sqlite3/sqlite3-2.0.4.ebuild | 62 +++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-ruby/sqlite3/Manifest b/dev-ruby/sqlite3/Manifest
index 8ac33029bb43..77007e2297f8 100644
--- a/dev-ruby/sqlite3/Manifest
+++ b/dev-ruby/sqlite3/Manifest
@@ -1,2 +1,3 @@
 DIST sqlite3-1.6.7.gem 3249664 BLAKE2B 
021edaa3d1a9d4cd8eeaaf3354e6e5aab047d8e61abbd5416ae50b2a7e426e5a6c1a484bc9f0c47a838b006b37eb3b41d7c51c200851f9d7bf0525b9dc91b597
 SHA512 
83455e533bbe84c71045b28ec6262b50804e774f3de4811e123cdb780ea4989227c01a8b6939179813ae3b59e1261e2d694830cc10ca05e7789dc635ff4d9b97
 DIST sqlite3-1.7.3.gem 3307008 BLAKE2B 
0df742c7cb4a8f920196106b5701eae07e60e668f040ca6e3276afdd0dfdeed3fb19ed455425f332e13082ca740f42d914536ccdf565ed151b6eb0f6ccd7c676
 SHA512 
b6ed36a5618134ca1f993b21a351ac279ebb7e1370be521eae67ed9224a1fac11d71ddd7573b3b14da47657756cb68b3eab0164b6e6ed058d3f64fa95699bc2f
+DIST sqlite3-2.0.4.tar.gz 82136 BLAKE2B 
636e4e246e1a572a975b4df4a1ed82da6924934ee59a48ad0bac98b7e5c76f4342ad1bc91f794179e2954acebcd00d3ec30872441957fcaed5d36218b6167a80
 SHA512 
3bdf8733b119f8fb71ab2e60667f2ca9c9c8be6d01e02509ed93e1bb1c525408d93c888f5291b464eecb6ab150d940d357d7abf913b32dc253768bf6fc33d168

diff --git a/dev-ruby/sqlite3/sqlite3-2.0.4.ebuild 
b/dev-ruby/sqlite3/sqlite3-2.0.4.ebuild
new file mode 100644
index 000000000000..8db3a4eff475
--- /dev/null
+++ b/dev-ruby/sqlite3/sqlite3-2.0.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_DOC="faq"
+RUBY_FAKEGEM_DOCDIR="doc faq"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/sqlite3/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/sqlite3
+RUBY_FAKEGEM_GEMSPEC="sqlite3.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An extension library to access a SQLite database from Ruby"
+HOMEPAGE="https://github.com/sparklemotion/sqlite3-ruby";
+SRC_URI="https://github.com/sparklemotion/sqlite3-ruby/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+RUBY_S="sqlite3-ruby-${PV}"
+LICENSE="BSD"
+
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc test"
+
+# We track the bundled sqlite version here
+RDEPEND=" >=dev-db/sqlite-3.46.1:3"
+DEPEND=" >=dev-db/sqlite-3.46.1:3"
+
+ruby_add_bdepend "
+       doc? ( dev-ruby/rdoc )
+       test? ( dev-ruby/minitest:5 )
+"
+
+all_ruby_prepare() {
+       sed -i -e 's/enable_config("system-libraries")/true/' 
ext/sqlite3/extconf.rb || die
+
+       # Remove the runtime dependency on mini_portile2. We build without
+       # it and it is not a runtime dependency for us.
+       sed -i -e '/mini_portile2/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+       # Avoid a failing spec for reprepares stats. Upstream indicates that
+       # the stats data should not be relied on other than for human
+       # debugging.
+       sed -e '/def test_stat_reprepares/askip "Fails on Gentoo"' \
+               -i test/test_statement.rb || die
+}
+
+all_ruby_compile() {
+       all_fakegem_compile
+
+       if use doc; then
+               rdoc --title "${P} Documentation" -o doc --main README.rdoc lib 
*.rdoc ext/*/*.c || die
+               rm -f doc/js/*.gz || die
+       fi
+}
+
+each_ruby_test() {
+       ${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || 
die
+}

Reply via email to